Get Execution Context Files
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions/{executionId}/context-files \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'[
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileExt": "<string>",
"fileName": "<string>",
"filePath": "<string>",
"fileSize": 123,
"fileType": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>",
"signedUrl": "<string>"
}
]Get Execution Context Files
Get all context files attached to an execution
GET
/
executions
/
{executionId}
/
context-files
Get Execution Context Files
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions/{executionId}/context-files \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'[
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileExt": "<string>",
"fileName": "<string>",
"filePath": "<string>",
"fileSize": 123,
"fileType": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>",
"signedUrl": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Response
The request has succeeded.
⌘I

